## com.sun.jersey.spi.service
Class ServiceFinder.DefaultServiceIteratorProvider<T>

    java.lang.Object
      com.sun.jersey.spi.service.ServiceFinder.ServiceIteratorProvider<T>
          com.sun.jersey.spi.service.ServiceFinder.DefaultServiceIteratorProvider<T>

Type Parameters:
  `T` - the type of service.

Enclosing class:
  ServiceFinder<T>

    public static final class ServiceFinder.DefaultServiceIteratorProvider<T>

extends ServiceFinder.ServiceIteratorProvider<T>

The default service iterator provider that looks up provider classes in META-INF/services files.

This class may utilized if a `ServiceFinder.ServiceIteratorProvider` needs to reuse the default implementation.

Constructor Summary
`ServiceFinder.DefaultServiceIteratorProvider()`

Method Summary
`java.util.Iterator<java.lang.Class<T>>` `createClassIterator(java.lang.Class<T> service, java.lang.String serviceName, java.lang.ClassLoader loader, boolean ignoreOnClassNotFound)` Iterate over provider classes of a service.
`java.util.Iterator<T>` `createIterator(java.lang.Class<T> service, java.lang.String serviceName, java.lang.ClassLoader loader, boolean ignoreOnClassNotFound)` Iterate over provider instances of a service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceFinder.DefaultServiceIteratorProvider

    public ServiceFinder.DefaultServiceIteratorProvider()

Method Detail

### createIterator

    public java.util.Iterator<T> createIterator(java.lang.Class<T> service,
                                                java.lang.String serviceName,
                                                java.lang.ClassLoader loader,
                                                boolean ignoreOnClassNotFound)

  Description copied from class: `ServiceFinder.ServiceIteratorProvider`
  Iterate over provider instances of a service.

  Specified by:
    `createIterator` in class `ServiceFinder.ServiceIteratorProvider<T>`
  Parameters:
    `service` - the service class.
    `serviceName` - the service name.
    `loader` - the class loader to utilize when loading provider classes.
  Returns:
    the provider instance iterator.

### createClassIterator

    public java.util.Iterator<java.lang.Class<T>> createClassIterator(java.lang.Class<T> service,
                                                                      java.lang.String serviceName,
                                                                      java.lang.ClassLoader loader,
                                                                      boolean ignoreOnClassNotFound)

  Description copied from class: `ServiceFinder.ServiceIteratorProvider`
  Iterate over provider classes of a service.

  Specified by:
    `createClassIterator` in class `ServiceFinder.ServiceIteratorProvider<T>`
  Parameters:
    `service` - the service class.
    `serviceName` - the service name.
    `loader` - the class loader to utilize when loading provider classes.
  Returns:
    the provider class iterator.

Copyright © 2017 Oracle Corporation. All Rights Reserved.